export function isEqual(x, y) {
  if ((x.channelId || '') === (y.channelId || '') &&
    x.conversationType === y.conversationType &&
    x.targetId === y.targetId) {
    return true;
  }
  return false;
}
export function getConversationKey(conversation) {
  return conversation.conversationType + '&&' +
    conversation.targetId + '&&' + (conversation.channelId || '');
}
export function file2Base64(file) {
  return new Promise((resolve, reject) => {
    const reader = new FileReader();
    reader.readAsDataURL(file);
    reader.onload = function (e) {
      reader.onerror = null;
      reader.onload = null;
      resolve(e.target.result);
    };
    reader.onerror = function (e) {
      reader.onerror = null;
      reader.onload = null;
      reject(e);
    };
  });
}
