import request2 from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'



// 获取所有会员列表
export function getAllmemberRank(data) {
  return request2({
    url: api + '/memberRankSetting/findAll',
    method: 'get',
    params: data
  })
}

// 新增会员类型
export function addMemberRank(data) {
  return request2({
    url: api + '/memberRankSetting/add',
    method: 'post',
    data: data
  })
}

export function getmemberRankList(data) {
  return request2({
    url: api + '/memberRankSetting/queryPage',
    method: 'get',
    params: data
  })
}

// 查询会员详情
export function getmemberRankDetail(data) {
  return request2({
    url: api + '/memberRankSetting/get',
    method: 'get',
    params: data
  })
}

// 修改会员
export function resetMemberRank(data) {
  return request2({
    url: api + '/memberRankSetting/update',
    method: 'post',
    data: data,

  })
}

// 新增会员收费
export function addMemberOrganizationFeeMapper(data) {
  return request2({
    url: api + '/memberRankOrganizationFeeMapper/add',
    method: 'post',
    data: data
  })
}

export function getmemberRankOrganizationFeeMapper(data) {
  return request2({
    url: api + '/memberRankOrganizationFeeMapper/queryPage',
    method: 'get',
    params: data
  })
}

// 查询会员详情
export function getmemberOrganizationFeeMapperkDetail(data) {
  return request2({
    url: api + '/memberRankOrganizationFeeMapper/get',
    method: 'get',
    params: data
  })
}

// 修改会员
export function resetMemberOrganizationFeeMapper(data) {
  return request2({
    url: api + '/memberRankOrganizationFeeMapper/update',
    method: 'post',
    data: data,
    requestType: 'json'
  })
}
