
import request2 from '@/utils/request2'

export const platformServeQueryPage = data => request2({
  url: '/api-web/platformServe/queryPage',
  method: 'get',
  params: data,
})

export const platformServeAdd = data => request2({
  url: '/api-web/platformServe/add',
  method: 'post',
  data,
})

export const platformServeUpdate = data => request2({
  url: '/api-web/platformServe/update',
  method: 'post',
  data,
})

export const platformServeDelete = data => request2({
  url: '/api-web/platformServe/delete/' + data.id,
  method: 'get'
})

export const platformServeQueryInfo = data => request2({
  url: '/api-web/platformServe/queryInfo/' + data.id,
  method: 'get'
})

export const platformServeQueryModeDetail = data => request2({
  url: '/api-web/platformServe/queryModeDetail/' + data.id,
  method: 'get'
})