import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'

export function getVisitList (data) {
  return request({
    url: api + '/visit/queryPage',
    method: 'get',
    params: data
  })
}

export function addVisit (data) {
  return request({
    url: api + '/visit/add',
    method: 'post',
    data,
    requestType:'json',
    headers: {
      'content-type': 'application/json'
    },
  })
}

export function getWaitVisitList (data) {
  return request({
    url: api + '/visit/queryWaitVisit',
    method: 'post',
    data: data
  })
}


export function updateProbStatus (data) {
  return request({
    url: api + '/visit/updateProbStatus',
    method: 'post',
    data:qs.stringify(data)

  })
}
