#### 完整的列表增删改查示例

###### 基本规范
命名，尽量使用`-`分割线文件名
可以分开的功能单独放在一个完整的文件夹中

``` js
demo/ // 模块目录
demo/index.vue // 模块入口文件
demo/api.js // 模块所有接口请求放在这里
demo/modals // 模块需要的弹窗放在这里
```

###### 列表注意点
1. 列表最多不超过两行，多余的鼠标移入显示
1. 操作按钮尽量右边fliex显示


###### 推荐使用原生submit提交

按照以下代码使用会默认保存数据，也会默认清空，不需要额外保存

``` html
<save-form ref="form" :model.sync="form" inline>
  <el-form-item>
    <el-button type="primary" native-type="submit">提交</el-button>
    <el-button type="danger" native-type="reset">重置</el-button>
  </el-form-item>
</save-form>
```
