import request2 from '@/utils/request2'

export const queryRemainCourseTypeDuration = data => request2({
  url: '/api-web/classGroup/queryRemainCourseTypeDuration',
  data: {},
  params: data,
  requestType: 'form'
})

// 调整学员
export const updateClassGroupStudents = data => request2({
  url: '/api-web/classGroupStudent/updateClassGroupStudents',
  data,
  method: 'post',
  requestType: 'form'
})

// 查询可排课信息
export const queryStudentSubTotalCourseTimes = data => request2({
  url: '/api-web/studentManage/queryStudentSubTotalCourseTimes',
  params: data,
  method: 'get',
  requestType: 'form'
})

// 新增会员试用
export const updateMemberExperience = data => request2({
  url: '/api-web/studentManage/updateMemberExperience',
  data,
  method: 'post',
  requestType: 'form'
})


// 添加会员
export const getMusicGroupCourseScheduleStatistics = data => request2({
  url: '/api-web/classGroup/getMusicGroupCourseScheduleStatistics',
  params:data,
  method: 'get'
})


// 班级调整
export const resetClassName = data => request2({
  url: '/api-web/classGroup/update',
  params:data,
  data,
  method: 'post'
})

// 获取乐团剩余为排课学员数
export const countStudentSubTotalCourseTimes = data => request2({
  url: '/api-web/studentManage/countStudentSubTotalCourseTimes',
  params: data,
  method: 'get',
  requestType: 'form'
})

// 通过课程编号查询学生
export const getCourseScheduleConvert = data => request2({
  url: '/api-web/courseScheduleConvert/queryStudent',
  params: data,
  method: 'get',
  requestType: 'form'
})


//课程转换
export const courseScheduleConvert = data => request2({
  url: '/api-web/courseScheduleConvert/action',
  data,
  method: 'post'
})


// 获取转换后的课程
export const getConvertList = data => request2({
  url: '/api-web/courseScheduleConvert/queryPage',
  data,
  method: 'post'
})

// 课程还原
export const revokeConvert = data => request2({
  url: '/api-web/courseScheduleConvert/revoke',
  data,
  params: data,
  method: 'get'
})

export const getConvertDeatil = data => request2({
  url: '/api-web/courseScheduleConvert/queryCourse',
  data,
  params: data,
  method: 'get'
})

// courseScheduleConvert/queryCourse
