import request2 from "@/utils/request2";
let api = "/api-web";

export function operationLog(data) {
  return request2({
    url: api + `/operationLog/save`,
    method: "GET",
    params: data,
    data: {}
  });
}

// /api-student/imGroup/queryGroupDetail. 群信息
// /api-student/imGroup/queryGroupMemberDetail 群成员的
// /api-student/imGroup/queryFriendDetail 获取单人的
// 查询群详情
export function queryGroupDetail(data) {
  return request2({
    hideLoading: true,
    url: `/api-web/imGroup/queryGroupDetail`,
    method: "GET",
    params: data
  });
}

// 查询群成员详情
export function queryGroupMemberDetail(data) {
  return request2({
    hideLoading: true,
    url: `/api-web/imGroup/queryGroupMemberDetail`,
    method: "GET",
    params: data
  });
}

// 查询好友详情
export function queryFriendDetail(data) {
  return request2({
    hideLoading: true,
    url: `/api-web/imGroup/queryFriendDetail`,
    method: "GET",
    params: data
  });
}

// 获取群聊、用户详情
export function imGroupQueryDetail(data) {
  return request2({
    hideLoading: true,
    url: `/api-web/imGroup/queryDetail`,
    method: "POST",
    data: data
  });
}

// 查询群成员列表
export function queryGroupMemberList(data) {
  return request2({
    hideLoading: true,
    url: `/api-web/imGroup/queryGroupMemberList`,
    method: "get",
    params: data
  });
}

// 查询好友列表
export function queryFriendList(data) {
  return request2({
    hideLoading: true,
    url: `/api-web/imGroup/queryFriendList`,
    method: "get",
    params: data
  });
}

// 查询群列表
export function queryGroupList(data) {
  return request2({
    hideLoading: true,
    url: `/api-web/imGroup/queryGroupList`,
    method: "get",
    params: data
  });
}
