import request from '@/utils/request'
import request2 from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'



// 获取活动列表
export function getMusicGroupGradeList(data) {
  return request2({
    url: api + '/childrenReserve/queryStatisticsPage',
    method: 'get',
    params: data
  })
}

// 获取活动详情列表
export function getMusicGroupDetail(data) {
  return request2({
    url: api + '/childrenReserve/queryStatisticsDetailPage',
    method: 'get',
    params: data
  })
}

// 发送短信
export function sendMsgList(data) {
  return request2({
    url: api + '/childrenReserve/sendMsg',
    method: 'post',
    data
  })
}


// 资格调整列表
export function ChildrenDayStudentList(data) {
  return request2({
    url: api + '/studentManage/queryChildrenDayStudentList',
    method: 'get',
    params: data
  })
}

// 修改调整资格
export function resetChildrenDayStudent(data) {
  return request2({
    url: api + '/studentManage/updateChildrenDayStudent',
    method: 'post',
    data,
    requestType: 'form'
  })
}

